﻿using System.Collections.Generic;
using System.Windows;
using System.Windows.Controls;
using System;
using System.Collections.ObjectModel;

namespace IGFocusProblem
{
	/// <summary>
	/// Interaction logic for Window1.xaml
	/// </summary>
	public partial class Window1 : Window
	{
		public ObservableCollection<string> Messages { get; set; }

		public Window1()
		{
			InitializeComponent();
			this.Messages = new ObservableCollection<string>();
			this.DataContext = this.Messages;
		}

		private void Button_GotFocus(object sender, RoutedEventArgs e)
		{
			this.Messages.Add(string.Format("+ GotFocus triggered by: {0} ", (sender as Button).Content));
		}

		private void Button_LostFocus(object sender, RoutedEventArgs e)
		{
			this.Messages.Add(string.Format("- LostFocus triggered by: {0} ", (sender as Button).Content));
		}
	}
}
